
{% set meta = section[0] %}
{% set articles = section[1] %}

<section 
id="{{meta.slug}}" 
class="ring-section pad {% if meta.size %}ring-section--{{ meta.size }}{% endif %}"
data-order="{{section.order}}">

<h2>{{meta.name}}</h2>

{# either the content of a page
    or the content of the index.md of a category #}
{% if meta.description %}
    {{ meta.description }}
{% endif %}

{# if it's a category with non index article in it #}
{% if articles and articles|length > 0 %}

    <ul class="articles-list">

    {% for article in articles %}
        {% if article.title != 'index' %}

        <li>

            <header>

                <h3>
                    {% if article.link %}
                        {% if article.link == "away" %}
                            {{article.title}}
                        {% else %}
                            <a href="{{article.link}}">{{article.title}}</a>
                        {% endif %}
                    {% else %}
                        <a href="{{article.url}}">{{article.title}}</a>
                    {% endif %}
                </h3>

                <time class="date" datetime="{{ article.date.isoformat() }}">{{article.locale_date}}</time>
                {% if article.tags %}<ul class="tags comma-list">{% for tag in article.tags %}<li>{{tag}}</li>{% endfor %}</ul>{% endif %}
            
            </header>

            {% if article.short %}
                <main class="short"> {{article.short|md}} </main>
            {% endif %}

        </li>

        {% endif %}
    {% endfor %}

    </ul>

{% endif %}

</section>


